/**
 * Copyright Copyright 2007-8 Simon Andrews
 *
 *    This file is part of StackMeasure.
 *
 *    StackMeasure is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    StackMeasure is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with StackMeasure; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
import java.awt.Color;
import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;


class ColorCellRenderer extends DefaultTableCellRenderer {
		
	public ColorCellRenderer () {
		super();
	}
		
	public Component getTableCellRendererComponent (JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
		if (value instanceof Color) {
//			Color c = (Color)value;
			
//			float [] f = Color.RGBtoHSB(c.getRed(),c.getGreen() , c.getBlue(), null);
//			int [] ia = new int[] {(int)(f[0]*360),(int)(f[1]*100),(int)(f[2]*100)};
//			
//			JLabel l = new JLabel("H:"+ia[0]+" S:"+ia[1]+" L:"+ia[2]);
//			Color inverse = new Color (255-c.getRed(),255-c.getGreen(),255-c.getBlue());
//			l.setForeground(inverse);

			JLabel l = new JLabel(" ");
			l.setOpaque(true);
			l.setBackground((Color)value);
			return l;
		}
		else {
			return super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
		}
	}
		
}
